HomeGuidesAPI Reference
API Reference

Add a new interface IP to an inline router deployment

Adds a new static or DHCP IP address to an existing inline router interface.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

JSON object describing the interface IP to add.

Request body for adding a new interface IP to an inline router.

string
required

Router ID (e.g. rtr1, rtr2).

string
required

Interface name (e.g. lan0, wan0, lan0.102).

boolean
required

Whether the interface is on the WAN side.

boolean
required

Whether the IP is obtained via DHCP (true) or is static (false).

string

IP address to add (required when isDhcp is false).

data
object
required

IP configuration data for a static interface entry.

string

DHCP mode path key. Required when isDhcp is true. One of: dhcp, dhcpv6, slaac, pppoe.

integer

VLAN tag for DHCP interface. Required when isDhcp is true.

string

Secondary DHCP mode for dual-stack (e.g. dhcpv6, slaac).

dualData
object

Secondary DHCP configuration data for dual-stack.

autoSummedBandwidth
object

Total auto-summed bandwidth to update when adding a WAN interface.

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json